## org.gnu.gtk
Class IconInfo

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.IconInfo

public class IconInfo
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Method Summary
`int` `getBaseSize()`
`Pixbuf` `getBuiltinPixbuf()`
`java.lang.String` `getDisplayName()`
`boolean` `getEmbeddedRect(Rectangle rect)`
`java.lang.String` `getFilename()`
`protected static Handle` `gtk_icon_info_copy(Handle info)`
`protected static void` `gtk_icon_info_free(Handle info)`
`protected static boolean` `gtk_icon_info_get_attach_points(Handle info, int[] points, int numPoints)`
`protected static int` `gtk_icon_info_get_base_size(Handle info)`
`protected static Handle` `gtk_icon_info_get_builtin_pixbuf(Handle info)`
`protected static java.lang.String` `gtk_icon_info_get_display_name(Handle info)`
`protected static boolean` `gtk_icon_info_get_embedded_rect(Handle info, Handle rect)`
`protected static java.lang.String` `gtk_icon_info_get_filename(Handle info)`
`protected static int` `gtk_icon_info_get_type()`
`protected static Handle` `gtk_icon_info_load_icon(Handle info, int[] error)`
`protected static void` `gtk_icon_info_set_raw_coordinates(Handle info, boolean rawCoordinates)`
`Pixbuf` `loadIcon()`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBaseSize

    public int getBaseSize()

### getFilename

    public java.lang.String getFilename()

### getBuiltinPixbuf

    public Pixbuf getBuiltinPixbuf()

### loadIcon

    public Pixbuf loadIcon()

### getDisplayName

    public java.lang.String getDisplayName()

### getEmbeddedRect

    public boolean getEmbeddedRect(Rectangle rect)

### gtk_icon_info_get_type

    protected static final int gtk_icon_info_get_type()

### gtk_icon_info_copy

    protected static final Handle gtk_icon_info_copy(Handle info)

### gtk_icon_info_free

    protected static final void gtk_icon_info_free(Handle info)

### gtk_icon_info_get_base_size

    protected static final int gtk_icon_info_get_base_size(Handle info)

### gtk_icon_info_get_filename

    protected static final java.lang.String gtk_icon_info_get_filename(Handle info)

### gtk_icon_info_get_builtin_pixbuf

    protected static final Handle gtk_icon_info_get_builtin_pixbuf(Handle info)

### gtk_icon_info_load_icon

    protected static final Handle gtk_icon_info_load_icon(Handle info,
                                                          int[] error)

### gtk_icon_info_set_raw_coordinates

    protected static final void gtk_icon_info_set_raw_coordinates(Handle info,
                                                                  boolean rawCoordinates)

### gtk_icon_info_get_embedded_rect

    protected static final boolean gtk_icon_info_get_embedded_rect(Handle info,
                                                                   Handle rect)

### gtk_icon_info_get_attach_points

    protected static final boolean gtk_icon_info_get_attach_points(Handle info,
                                                                   int[] points,
                                                                   int numPoints)

### gtk_icon_info_get_display_name

    protected static final java.lang.String gtk_icon_info_get_display_name(Handle info)